%define anolis_release 2
%define mod_name Env

Name:           perl-%{mod_name}
Version:        1.05
Release:        %{anolis_release}%{?dist}
Summary:        Perl module that imports environment variables as scalars or arrays
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/F/FL/FLORA/%{mod_name}-1.04.tar.gz

BuildArch:      noarch

Patch0001:      0001-Env-1.04-Upgrade-to-1.05.patch

BuildRequires:  make coreutils
BuildRequires:  perl(Tie::Array) perl(Config)
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(warnings) perl(strict) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(vars) perl(Test::More)
 
%description
Perl maintains environment variables in a special hash named %%ENV. For when
this access method is inconvenient, the Perl module %{mod_name} allows environment
variables to be treated as scalar or array variables.
 
%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{mod_name}-1.04

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build
 
%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*
 
%check
make test
 
%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*
 
%files doc
%doc README Changes

%changelog
* Wed Apr 12 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1.05-2
- optimise spec file

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.05-1
- remove versioned MODULE_COMPAT_ requires
- update to version 1.05

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.04-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.04-1
- Init from upstream version 1.04
